Package edu.wisc.game.rest

## Class CheckPlanService

- java.lang.Object
- - edu.wisc.game.rest.GameService2
  - - edu.wisc.game.rest.CheckPlanService

-     @Path("/CheckPlanService")
      public class CheckPlanService
      extends GameService2

  The "Check my experiment plan" service.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckPlanService()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `basicCheck​(String exp)` | A simpler testing used when we generate the list of names of all available plans and want to exclude those that have no rule set files.
    `String` | `checkPlanHtml​(String exp)` |
    `String` | `checkRulesHtml​(String rulesText)` |
    `String` | `clearTables()` |
    `static void` | `main​(String[] argv)` | Command-line interface to the validator.

    - ### Methods inherited from class edu.wisc.game.rest.GameService2

      `abandon, activateBonus, colorMap, display, findPlans, getVersion, giveUp, guess, listShapes, mostRecentEpisode, move, move, newEpisode, player, registerUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckPlanService

          public CheckPlanService()

  - ### Method Detail

    - #### checkRulesHtml

          @POST
          @Path("/checkRules")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String checkRulesHtml​(@FormParam("rulesText")
                                       String rulesText)

    - #### checkPlanHtml

          @POST
          @Path("/checkPlan")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String checkPlanHtml​(@FormParam("exp")
                                      String exp)

    - #### clearTables

          @POST
          @Path("/clearTables")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String clearTables()

    - #### basicCheck

          public static boolean basicCheck​(String exp)

      A simpler testing used when we generate the list of names of all available plans and want to exclude those that have no rule set files.
      Returns:
        true if none of the most obvious problems have occurred

    - #### main

          public static void main​(String[] argv)
                           throws Exception

      Command-line interface to the validator. The command-line arguments can be names of experiment plans or names of rule set files.
      Throws:
        `Exception`